#!/bin/bash

set -e
set -o nounset

cd /tmp
# Paperspace's venv doesn't install pip for some reason
python -m venv --without-pip /tmp/lama-venv
wget https://bootstrap.pypa.io/get-pip.py
/tmp/lama-venv/bin/python get-pip.py
/tmp/lama-venv/bin/pip install torch==1.13.1+cu117 \
    torchvision==0.14.1 triton xformers==0.0.16rc425 \
        --extra-index-url https://download.pytorch.org/whl/cu117
/tmp/lama-venv/bin/pip install lama-cleaner
